選択できるのは25トピックまでです。 トピックは、先頭が英数字で、英数字とダッシュ('-')を使用した35文字以内のものにしてください。
 
 
 

25 行
907 B

  1. #!/bin/bash
  2. # Copyright 2018 Google Inc.
  3. #
  4. # Licensed under the Apache License, Version 2.0 (the "License");
  5. # you may not use this file except in compliance with the License.
  6. # You may obtain a copy of the License at
  7. #
  8. # http://www.apache.org/licenses/LICENSE-2.0
  9. #
  10. # Unless required by applicable law or agreed to in writing, software
  11. # distributed under the License is distributed on an "AS IS" BASIS,
  12. # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  13. # See the License for the specific language governing permissions and
  14. # limitations under the License.
  15. set -eo pipefail
  16. # Always run the cleanup script, regardless of the success of bouncing into
  17. # the container.
  18. function cleanup() {
  19. chmod +x ${KOKORO_GFILE_DIR}/trampoline_cleanup.sh
  20. ${KOKORO_GFILE_DIR}/trampoline_cleanup.sh
  21. echo "cleanup";
  22. }
  23. trap cleanup EXIT
  24. python3 "${KOKORO_GFILE_DIR}/trampoline_v1.py"